LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XFastPropertySet Interface Referencepublished

provides a fast way of accessing and changing property values. More...

`import"XFastPropertySet.idl";`

Inheritance diagram for XFastPropertySet:

## Public Member Functions
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name. More...
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides a fast way of accessing and changing property values.

This interface is an extension to the XPropertySet interface. The get and set methods use handles to access the property values instead of character strings.

Developers Guide
  Professional UNO - Properties

## Member Function Documentation

## ◆ getFastPropertyValue()

any getFastPropertyValue | ( | [in] long | nHandle | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

Returns
  the value of the property with the name PropertyName.

Parameters

  nHandle | contains the implementation handle of the implementation for the property.

Exceptions

  UnknownPropertyException | if the property does not exist.
  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into that com::sun::star::lang::WrappedTargetException.

## ◆ setFastPropertyValue()

void setFastPropertyValue | ( | [in] long | nHandle,
|  | [in] any | aValue
| ) |  |
raises | ( | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::beans::PropertyVetoException,
|  | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

sets the value to the property with the specified name.

Parameters

  nHandle | contains the implementation handle of the implementation for the property.
  aValue | contains the new value of the property.

Exceptions

  UnknownPropertyException | if the property does not exist.
  PropertyVetoException | if a vetoable listener does not approve the change of a property value.
  IllegalArgumentException | if the new value cannot be converted to the type of the underlying property by an identity or widening conversion.
  com::sun::star::lang::WrappedTargetException | if the implementation has an internal reason for the exception. In this case the original exception is wrapped into this com::sun::star::lang::WrappedTargetException.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XFastPropertySet.idl